function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon";
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M24 12c0 6.627-5.373 12-12 12S0 18.627 0 12 5.373 0 12 0s12 5.373 12 12Zm-13.418 4.342a.855.855 0 0 0 .63-.25l7.03-7.032a.343.343 0 0 0 0-.484l-1.03-1.03a.343.343 0 0 0-.485 0l-6.122 6.122-3.332-3.332a.343.343 0 0 0-.485 0l-1.03 1.03a.343.343 0 0 0 0 .485l4.24 4.24a.855.855 0 0 0 .584.25Z",
    fill: "#8B60F7"
  }));
};
AelfSVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  fill: "none"
};
var componentName = 'ProgressSuccessIcon';
export var ProgressSuccessIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 24,
    defaultHeight: 24,
    ref: ref
  }, props));
});
ProgressSuccessIcon.displayName = componentName;